Bug 448188 - does not notice event file removals
does not notice event file removals
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 03:45 EDT by Russell Coker
Modified: 2014-06-18 04:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 10:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2008-05-24 03:45:45 EDT
The command "telinit q" does not cause a reload of the configuration.  I 
believe that for compatibility with the old SysV Init it should work, I would 
like to be able to remove files from /etc/event.d/ and then run "telinit q" to 
cause the services in question to be stopped.

But if upstart is not going to implement such functionality then the 
command "telinit q" should display an error message explaining the situation 
and return a value other than zero.
Comment 1 Jon Stanley 2008-05-24 15:33:18 EDT
Upstart monitors files in /etc/event.d thus obviating the need for the
functionality provided by 'telinit q'
Comment 2 Jon Stanley 2008-05-24 15:34:56 EDT
Actually I was stupid - this shouldn't be closed, rather the implementation
should either be removed from telinit, or it should produce an informative
message to this effect.
Comment 3 Russell Coker 2008-05-24 18:38:02 EDT
The file monitoring doesn't seem to work well.  When I moved the files in 
question to another directory in an attempt to disable the gettys nothing 
happened.
Comment 4 Bill Nottingham 2008-05-27 11:10:21 EDT
Hm, I'm not sure what the upstream algorithm is - what you want is for any
removed event file to cause that job to be stopped?
Comment 5 Russell Coker 2008-05-27 19:10:14 EDT
System administrators who have become used to the SysVinit functionality will 
expect that when they change the init config file (/etc/inittab) and 
run "telinit q" they will have their changes applied.

If upstart correctly noticed changes (according to the description in comment 
#1) then they would be applied before the sysadmin could run "telinit q", this 
would be a problem for someone who edits files and then wants to apply the 
changes later (EG changing config files before a change window officially 
opens).  A warning would still be required.

The current situation (according to my tests) is that I change the files, 
run "telinit q" and nothing happens.  Anything other than the current 
situation would be an improvement.
Comment 6 Casey Dahlin 2008-08-04 16:40:16 EDT
Running jobs in upstart do not receive configuration changes. You must stop and restart the individual jobs for configuration to change.
Comment 7 Casey Dahlin 2008-10-19 14:15:32 EDT
Will anyone vouch for keeping this open?
Comment 8 Casey Dahlin 2009-01-04 10:10:41 EST
Guess not.

Note You need to log in before you can comment on or make changes to this bug.